## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 27
%bcond check 1
%global debug_package %{nil}

%global crate zstd-sys
%global crate_version 2.0.15+zstd.1.5.7

Name:           rust-zstd-sys
Version:        2.0.15
Release:        %autorelease
Summary:        Low-level bindings for the zstd compression library

# Upstream license specification: MIT/Apache-2.0
License:        MIT OR Apache-2.0
URL:            https://crates.io/crates/zstd-sys
Source:         %{crates_source %{crate} %{crate_version}}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          zstd-sys-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * make bindgen build-dependency non-optional
# * fix logic for included / excluded files
# * exclude files that are only useful for upstream development
Patch:          zstd-sys-fix-metadata.diff
# * unconditionally use bindgen and pkg-config to link against system libzstd
Patch10:        0001-unconditionally-use-bindgen-and-pkg-config-to-link-a.patch

BuildRequires:  cargo-rpm-macros >= 24
BuildRequires:  pkgconfig(libzstd)

%global _description %{expand:
Low-level bindings for the zstd compression library.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Requires:       pkgconfig(libzstd)

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/LICENSE.Apache-2.0
%license %{crate_instdir}/LICENSE.Mit
%doc %{crate_instdir}/Readme.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bindgen-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bindgen-devel %{_description}

This package contains library source intended for building other packages which
use the "bindgen" feature of the "%{crate}" crate.

%files       -n %{name}+bindgen-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+debug-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+debug-devel %{_description}

This package contains library source intended for building other packages which
use the "debug" feature of the "%{crate}" crate.

%files       -n %{name}+debug-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+experimental-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+experimental-devel %{_description}

This package contains library source intended for building other packages which
use the "experimental" feature of the "%{crate}" crate.

%files       -n %{name}+experimental-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fat-lto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+fat-lto-devel %{_description}

This package contains library source intended for building other packages which
use the "fat-lto" feature of the "%{crate}" crate.

%files       -n %{name}+fat-lto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+legacy-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+legacy-devel %{_description}

This package contains library source intended for building other packages which
use the "legacy" feature of the "%{crate}" crate.

%files       -n %{name}+legacy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+no_asm-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+no_asm-devel %{_description}

This package contains library source intended for building other packages which
use the "no_asm" feature of the "%{crate}" crate.

%files       -n %{name}+no_asm-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+non-cargo-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+non-cargo-devel %{_description}

This package contains library source intended for building other packages which
use the "non-cargo" feature of the "%{crate}" crate.

%files       -n %{name}+non-cargo-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+pkg-config-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+pkg-config-devel %{_description}

This package contains library source intended for building other packages which
use the "pkg-config" feature of the "%{crate}" crate.

%files       -n %{name}+pkg-config-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+seekable-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+seekable-devel %{_description}

This package contains library source intended for building other packages which
use the "seekable" feature of the "%{crate}" crate.

%files       -n %{name}+seekable-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+thin-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+thin-devel %{_description}

This package contains library source intended for building other packages which
use the "thin" feature of the "%{crate}" crate.

%files       -n %{name}+thin-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+thin-lto-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+thin-lto-devel %{_description}

This package contains library source intended for building other packages which
use the "thin-lto" feature of the "%{crate}" crate.

%files       -n %{name}+thin-lto-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zdict_builder-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zdict_builder-devel %{_description}

This package contains library source intended for building other packages which
use the "zdict_builder" feature of the "%{crate}" crate.

%files       -n %{name}+zdict_builder-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zstdmt-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zstdmt-devel %{_description}

This package contains library source intended for building other packages which
use the "zstdmt" feature of the "%{crate}" crate.

%files       -n %{name}+zstdmt-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{crate_version} -p1
%cargo_prep
# * remove bundled zstd sources
rm -vr zstd/

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
## START: Generated by rpmautospec
* Tue May 06 2025 Fabio Valentini <decathorpe@gmail.com> - 2.0.15-1
- Update to version 2.0.15+zstd.1.5.7; Fixes RHBZ#2346935

* Sun Jan 19 2025 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.13-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Oct 07 2024 Fabio Valentini <decathorpe@gmail.com> - 2.0.13-1
- Update to version 2.0.13+zstd.1.5.6; Fixes RHBZ#2302536

* Sat Jul 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.12-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Sun Jul 07 2024 Fabio Valentini <decathorpe@gmail.com> - 2.0.12-1
- Update to version 2.0.12+zstd.1.5.6; Fixes RHBZ#2292666

* Thu May 16 2024 Benjamin A. Beasley <code@musicinmybrain.net> - 2.0.10-1
- Update to version 2.0.10; Fixes RHBZ#2271895

* Sat Jan 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.9-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 15 2024 Fabio Valentini <decathorpe@gmail.com> - 2.0.9-1
- Update to version 2.0.9+zstd.1.5.5; Fixes RHBZ#2243313

* Tue Aug 01 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.8-1
- Update to version 2.0.8+zstd.1.5.5; Fixes RHBZ#2184801

* Sat Jul 22 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.7-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Feb 23 2023 Fabio Valentini <decathorpe@gmail.com> - 2.0.7-1
- Update to version 2.0.7+zstd.1.5.4; Fixes RHBZ#2145250

* Sat Jan 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 2.0.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Sat Aug 06 2022 Fabio Valentini <decathorpe@gmail.com> - 2.0.1-1
- Update to version 2.0.1+zstd.1.5.2; Fixes RHBZ#2043687

* Sat Jul 23 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.3-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Apr 12 2022 Fabio Valentini <decathorpe@gmail.com> - 1.6.3-1
- Update to version 1.6.3+zstd.1.5.2

* Sat Jan 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.6.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Fri Jan 07 2022 Fabio Valentini <decathorpe@gmail.com> - 1.6.2-1
- Update to version 1.6.2+zstd.1.5.1; Fixes RHBZ#2035404

* Sat Nov 13 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.6.1-1
- Update to 1.6.1 Close: rhbz#1960714

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.0-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Mon May 10 2021 Fabio Valentini <decathorpe@gmail.com> - 1.5.0-1
- Update to version 1.5.0+zstd.1.4.9.

* Wed Mar 31 21:35:34 CEST 2021 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.20-2
- Remove downgrade of bindgen to 0.56

* Sat Mar 06 2021 Fabio Valentini <decathorpe@gmail.com> - 1.4.20-1
- Update to version 1.4.20+zstd.1.4.9.

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.17-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Fri Nov 27 2020 Fabio Valentini <decathorpe@gmail.com> - 1.4.17-3
- Bump to bindgen 0.56.

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.17-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Fri Jun 19 2020 Josh Stone <jistone@redhat.com> - 1.4.17-1
- Update to 1.4.17+zstd.1.4.5

* Sat May 30 2020 Josh Stone <jistone@redhat.com> - 1.4.16-1
- Update to 1.4.16+zstd.1.4.5

* Thu Feb 27 2020 Josh Stone <jistone@redhat.com> - 1.4.15-3
- Bump to bindgen 0.53.1

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.4.15-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Sun Dec 15 23:59:34 CET 2019 Robert-André Mauchin <zebob.m@gmail.com> - 1.4.15-1
- Initial package

## END: Generated by rpmautospec
